function [hx,hh]=plotxgrey(t,y)
cu=y(:,2);
cl=y(:,3);

h=t;
h=h';
hh=fill([h(1); h(1:end); flipud([h(1:end); h(end)])],[cu(1); cl(1:end); flipud([cu(1:end); cl(size(cl,1))])],'b');
set(hh,'edgecolor',[0.7 0.7 0.7]);
set(hh,'facecolor',[0.7 0.7 0.7]);


hold on
hx=plot(h,y(:,1),'k','LineWidth',1.3);
axis tight
 hold on;
zz=zeros(size(y,1),1);
 plot(h,zz,'b-');
